## org.apache.commons.math.optimization.linear
Enum Relationship

    java.lang.Object
      java.lang.Enum<Relationship>
          org.apache.commons.math.optimization.linear.Relationship

All Implemented Interfaces:
  Serializable, Comparable<Relationship>

    public enum Relationship

extends Enum<Relationship>

Types of relationships between two cells in a Solver `LinearConstraint`.

Since:
  2.0
Version:
  $Revision: 1003886 $ $Date: 2010-10-02 23:04:44 +0200 (sam. 02 oct. 2010) $

Enum Constant Summary
`EQ` Equality relationship.
`GEQ` Greater than or equal relationship.
`LEQ` Lesser than or equal relationship.

Field Summary
`private String` `stringValue` Display string for the relationship.

Method Summary
`Relationship` `oppositeRelationship()` Get the relationship obtained when multiplying all coefficients by -1.
`String` `toString()`
`static Relationship` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Relationship[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### EQ

    public static final Relationship EQ

  Equality relationship.

### LEQ

    public static final Relationship LEQ

  Lesser than or equal relationship.

### GEQ

    public static final Relationship GEQ

  Greater than or equal relationship.

Field Detail

### stringValue

    private final String stringValue

  Display string for the relationship.

Method Detail

### values

    public static Relationship[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Relationship c : Relationship.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Relationship valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<Relationship>`

### oppositeRelationship

    public Relationship oppositeRelationship()

  Get the relationship obtained when multiplying all coefficients by -1.

  Returns:
    relationship obtained when multiplying all coefficients by -1

Copyright (c) 2003-2013 Apache Software Foundation